<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Jul 09, 2021
 */

/**
 * TODO integrate this with new cache system.
 * Needed to delete ALL cache, e.g. not just all cache
 * in each individual cached array (e.g backups, dbs, etc.)
 *
 * @package InterWorx
 * @subpackage
 */
class Model_Cache_All
{
    const CACHE_DB_RESTORES = 'dbrestores.acronis';
    const CACHE_INSTANCE_ID = 'instanceid.acronis';
    const CACHE_RESOURCE_ID = 'resourceid.acronis';
    const CACHE_PLAN_ID = 'planid.acronis';
    const CACHE_DEVICEINFO = 'deviceinfo.acronis';
    const CACHE_PLAN = 'plan.acronis';
    const CACHE_BACKUPS = 'backups.acronis';
    const CACHE_BACKUP = 'backup.acronis';
    const CACHE_DIRECTORIES = 'directories.acronis';
    const CACHE_AGENT_TENANT_ID = 'agenttenantid.acronis';
    const CACHE_DB_DUMPS = 'dbdumps.acronis';
    const CACHE_DIR_BY_PATH = 'backups.path.acronis';
    const CACHE_MACHINE_ID = 'machineid.acronis';
    const CACHE_LEGACY_IDS = 'legacyids.acronis';
    const CACHE_TENANT_AGENT_ID = 'tenantagentid.acronis';
    const CACHE_CREATED_AT = 'backupscreatedat.acronis';
    const CACHE_PRESCRIPT = 'prescript.acronis';

    /**
     * Delete all cache.
     */
    public function delete()
    {
        $thisClass = new ReflectionClass(__CLASS__);
        $all = $thisClass->getConstants();

        foreach ($all as $cache) {
            IW::Cache()->delete($cache);
        }
    }
}
